# EXTMultiviewDrawBuffers (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class EXTMultiviewDrawBuffers

    java.lang.Object
      org.lwjgl.opengles.EXTMultiviewDrawBuffers

    public final class EXTMultiviewDrawBuffers

extends java.lang.Object

Field Summary
`static int` `GL_COLOR_ATTACHMENT_EXT` Accepted by the <location> parameter of DrawBuffersIndexedEXT:
`static int` `GL_DRAW_BUFFER_EXT` Accepted by the <target> parameter of GetIntegeri_EXT:
`static int` `GL_MAX_MULTIVIEW_BUFFERS_EXT` Accepted by the <target> parameter of GetInteger:
`static int` `GL_MULTIVIEW_EXT` Accepted by the <location> parameter of DrawBuffersIndexedEXT:
`static int` `GL_READ_BUFFER_EXT` Accepted by the <target> parameter of GetIntegeri_EXT:

Method Summary
`static void` `glDrawBuffersIndexedEXT(java.nio.IntBuffer location, java.nio.IntBuffer indices)`
`static int` `glGetIntegerEXT(int value, int index)` Overloads glGetIntegeri_vEXT.
`static void` `glGetIntegerEXT(int target, int index, java.nio.IntBuffer data)`
`static void` `glReadBufferIndexedEXT(int src, int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_COLOR_ATTACHMENT_EXT

    public static final int GL_COLOR_ATTACHMENT_EXT

  Accepted by the <location> parameter of DrawBuffersIndexedEXT:

  See Also:
    Constant Field Values

### GL_MULTIVIEW_EXT

    public static final int GL_MULTIVIEW_EXT

  Accepted by the <location> parameter of DrawBuffersIndexedEXT:

  See Also:
    Constant Field Values

### GL_DRAW_BUFFER_EXT

    public static final int GL_DRAW_BUFFER_EXT

  Accepted by the <target> parameter of GetIntegeri_EXT:

  See Also:
    Constant Field Values

### GL_READ_BUFFER_EXT

    public static final int GL_READ_BUFFER_EXT

  Accepted by the <target> parameter of GetIntegeri_EXT:

  See Also:
    Constant Field Values

### GL_MAX_MULTIVIEW_BUFFERS_EXT

    public static final int GL_MAX_MULTIVIEW_BUFFERS_EXT

  Accepted by the <target> parameter of GetInteger:

  See Also:
    Constant Field Values

Method Detail

### glReadBufferIndexedEXT

    public static void glReadBufferIndexedEXT(int src,
                                              int index)

### glDrawBuffersIndexedEXT

    public static void glDrawBuffersIndexedEXT(java.nio.IntBuffer location,
                                               java.nio.IntBuffer indices)

### glGetIntegerEXT

    public static void glGetIntegerEXT(int target,
                                       int index,
                                       java.nio.IntBuffer data)

### glGetIntegerEXT

    public static int glGetIntegerEXT(int value,
                                      int index)

  Overloads glGetIntegeri_vEXT.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.